# nativefier-apps

Automated nativefier building of web applications

## To use:

- Choose a project name
- You must at least create a text file in `urls` named `<project-name>.url` that contains the URL of the web page you want to turn into an app.
- Nativefier will use the site's `favicon` for the created app.  If you want a different icon, put a `<project-name>.png` into `icons`
- Macs must use `.icns` for icons.  The `generate-icns` script will convert `.png` files to `.icns`
- If you would like to modify the site, you can inject CSS and JS by placing `<project-name>.css` or `<project-name>.js` into `injects`
- For Linux, if you would like to provide a `.desktop` file, place `<project-name>.desktop` into the `desktops` directory
- If you would like to make Windows apps on Linux, make sure `wine` is installed
